=== modified file 'register-vagrant-version.sh'
--- register-vagrant-version.sh	2017-06-28 16:28:20 +0000
+++ register-vagrant-version.sh	2017-06-28 19:24:33 +0000
@@ -56,10 +56,10 @@
 
 make_api_call () {
     echo "Making API call:" $@
-    curl -f $@ -d "access_token=${ACCESS_TOKEN}" | python -m json.tool
+    curl -L -f $@ -d "access_token=${ACCESS_TOKEN}" | python -m json.tool
 }
 
-if curl -f "${API_ROOT}/box/${BOX_OWNER}/${BOX_NAME}"; then
+if curl -L -f "${API_ROOT}/box/${BOX_OWNER}/${BOX_NAME}"; then
     echo "Box ${BOX_NAME} already registered..."
 else
     echo "Registering ${BOX_NAME}..."
@@ -76,7 +76,7 @@
 
 echo "Check if the version already registered..."
 while true; do
-    if curl -f "${API_ROOT}/box/${BOX_OWNER}/${BOX_NAME}/version/${VERSION}"; then
+    if curl -L -f "${API_ROOT}/box/${BOX_OWNER}/${BOX_NAME}/version/${VERSION}"; then
         echo "Version ${VERSION} already registered; trying a higher revision."
         VERSION="$(echo "$VERSION" | awk -F. -v OFS=. '{printf("%s.%s.%s\n", $1, $2, ++$3)}')"
     else

